Subject: Re: [manet] Last Call: <draft-ietf-manet-nhdp-optimization-03.txt> (An Optimization for the MANET Neighborhood Discovery Protocol (NHDP)) to Proposed Standard

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 1 Nov 2014 19:25:04 -0700

Date: 02.11.2014
Reviewer: Abdussalam Baryun
ID Document: draft-ietf-manet-nhdp-optimization-03
Draft Title: An Optimization for the MANET Neighborhood Discovery
Protocol (NHDP).
Proposal: to Standard

Review AB1*
+++++++++

1- The reviewer suggests that the title to be changed to specify the
type of optimization or its condition. As to chang it to:

An Optimization for the MANET Neighborhood Discovery Protocol (NHDP)
based on link quality.

2- The draft mentions in the introduction:-
This modification is strictly optional,

[AB] the reviewer suggests to include in the ID-Abstract that this
standard is optional. It is not enough to only mention in the
introduction such important information.

3- The draft proposes to update two IETF standards but does not show
any testings information. It is prefered to test the standard
performance by IETF before published.

4- The draft states:-
As such, this protocol introduces no new security considerations to an
implementation of [RFC6130] or of any other protocol that uses it,
such as RFC7181].

[AB] The standard is based on the use of link quality in such
optimization, however, the proposed standard can be attacked (requires
considerations) if the link quality is attacked frequently. The
proposed choice of the quality-threashold and its acceptance decisions
are very important to the proposed standard to function successfully,
therefore, the reviewer suggests to remove the above text from the
draft and to add some security considerations.

Best Regards

AB

IETF participant from Africa

* possiblity of other review comments if time available.

On 10/20/14, The IESG <[email-masked]> wrote:
>
> The IESG has received a request from the Mobile Ad-hoc Networks WG
> (manet) to consider the following document:
> - 'An Optimization for the MANET Neighborhood Discovery Protocol (NHDP)'
>   <draft-ietf-manet-nhdp-optimization-03.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-11-03. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> Abstract
>
>    The link quality mechanism of the MANET Neighborhood Discovery
>    Protocol (NHDP) enables "ignoring" some 1-hop neighbors if the
>    measured link quality from that 1-hop neighbor is below an acceptable
>    threshold, while still retaining the corresponding link information
>    as acquired from HELLO message exchange.  This allows immediate
>    reinstatement of the 1-hop neighbor if the link quality later
>    improves sufficiently.
>
>    NHDP also collects information about symmetric 2-hop neighbors.
>    However it specifies that if a link from a symmetric 1-hop neighbor
>    ceases being symmetric, including while "ignored" as described above,
>    then corresponding symmetric 2-hop neighbors are removed.  This may
>    lead to symmetric 2-hop neighborhood information being permanently
>    removed (until further HELLO messages are received) if the link
>    quality of a symmetric 1-hop neighbor drops below the acceptable
>    threshold, even if only for a moment.
>
>    This specification updates RFC6130 "Mobile Ad Hoc Network (MANET)
>    Neighborhood Discovery Protocol (NHDP)", and RFC7181 "The Optimized
>    Link State Routing Protocol version 2 (OLSRv2)" to permit retaining,
>    but ignoring, symmetric 2-hop information when the link quality from
>    the corresponding 1-hop neighbor drops below the acceptable
>    threshold.  This allows immediate reinstatement of the symmetric
>    2-hop neighbor if the link quality later improves sufficiently, thus
>    making the symmetric 2-hop neighborhood more "robust".
>
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-manet-nhdp-optimization/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-manet-nhdp-optimization/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>